Bug 246312 - Review Request: Pygments - A syntax highlighting engine written in Python
Review Request: Pygments - A syntax highlighting engine written in Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 526307
  Show dependency treegraph
 
Reported: 2007-06-29 19:52 EDT by Steve Milner
Modified: 2009-09-29 16:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 18:34:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Milner 2007-06-29 19:52:08 EDT
Spec URL: http://stevemilner.org/tmp/pygments.spec
SRPM URL: http://stevemilner.org/tmp/python-pygments-0.8.1-1.fc7.src.rpm
Description: 
Pygments is a syntax highlighting engine written in Python. That means, it will take source code (or other markup) in a supported language and output a processed version (in different formats) containing syntax highlighting markup.

NOTE:
This is my first submitted package - I am in need of a sponsor.

md5 sums:
b2d6c85b6a8f5e0d4b3f076190de2552  python-pygments-0.8.1-1.fc7.src.rpm
ec809df090a86a97382ff6ac7504fd28  pygments.spec

rpmlint output:
[steve@psycho noarch]$ rpmlint python-pygments-0.8.1-1.fc7.noarch.rpm 
[steve@psycho noarch]$ 

Test:
[steve@psycho noarch]$ pygmentize -V
Pygments version 0.8.1, (c) 2006 by Georg Brandl <g.brandl@gmx.net>.
[steve@psycho noarch]$ python
Python 2.5 (r25:51908, Apr 10 2007, 10:29:13) 
[GCC 4.1.2 20070403 (Red Hat 4.1.2-8)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import pygments
>>> print pygments.__version__
0.8.1
>>> 
[steve@psycho noarch]$
Comment 1 Jason Tibbitts 2007-06-30 03:01:27 EDT
If the package is named "python-pygments" then the spec file needs to be named
"python-pygments.spec".

The LICENSE file seems to me to be a regular 3-clause BSD license.  Where did
you see the LGPL?

There's no need to manually require python; rpm finds the python(abi)
requirement on its own.

You should use %{_bindir} instead of /usr/bin and %{_mandir} instead of
/usr/share/man in your %files section.

I have to say I've not seen any package placing English manpages in a
language-specific directory.  My rawhide system has 26 manpages under
/usr/share/man/en (so I suppose it's not unheard of) and about 10500 in
/usr/share/man.

Review:
* source files match upstream:
   c1394c794a8c3056ff581ccc09d089a3d99fb9d6a44e03eaac4165365b8f2707  
   Pygments-0.8.1.tar.gz
* package meets naming and versioning guidelines.
X specfile is not properly named.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field says LGPL but the license is BSD
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
? final provides and requires are sane:
   python-pygments = 0.8.1-1.fc8
  =
   /usr/bin/python
?  python >= 2.3 (manual dependency not needed)
   python(abi) = 2.5

* %check is not present as there is no upstream test suite.  I manually verified 
   the above tests.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Steve Milner 2007-06-30 19:31:44 EDT
From the FAQ (http://pygments.org/faq/):
"Pygments is licensed under the GNU LGPL, which means that it can be included
even in non-open-source projects as long as the possibly changed source code is
made public on request."

I will follow up with the author to find out which is the correct license. I
have made the other changes and will updated again once the correct LICENSE is
known.

- Renamed spec to python-pygments.spec
- Moved man page from en/man1 to man1
- using %{_bindir} and %{_mandir}
- removed python dep

Spec URL: http://stevemilner.org/tmp/python-pygments.spec
SRPM URL: http://stevemilner.org/tmp/python-pygments-0.8.1-1.fc7.src.rpm

md5sums:
790879ac2d4bede0b8610dc6591836ad  python-pygments.spec
1baf417aca29caccece7851eb5948dff  python-pygments-0.8.1-1.fc7.src.rpm
Comment 3 Steve Milner 2007-07-01 15:05:59 EDT
From the author:
"It's BSD.  Pygments was licensed under the LGPL in a previous version, and
I missed to update that spot."

He has updated the FAQ to BSD licensed.

- Changed LGPL to BSD

Spec URL: http://stevemilner.org/tmp/python-pygments.spec
SRPM URL: http://stevemilner.org/tmp/python-pygments-0.8.1-1.fc7.src.rpm

md5sums:
942400cc31ec431958908fadb6d9a26a  python-pygments.spec
e7b5deb2dc2d033d4b5deed67de0ca0c  python-pygments-0.8.1-1.fc7.src.rpm
Comment 4 Jason Tibbitts 2007-07-02 23:10:49 EDT
OK, cool.  The license is fixed, the errant python dependency is gone, the
specfile is named properly, and you even moved the manpage.  Everything looks
good to me.

APPROVED

Go ahead and apply for cvsextras membership and I'll sponsor you.
Comment 5 Steve Milner 2007-07-06 08:27:29 EDT
Just an update ... I have created a fedora account and am now waiting on the CLA
portion.
Comment 6 Steve Milner 2007-07-13 22:38:06 EDT
I have been approved. cvsextras requested.
Comment 7 Steve Milner 2007-07-14 14:04:12 EDT
New Package CVS Request
=======================
Package Name: python-pygments
Short Description: A syntax highlighting engine written in Python
Owners: smilner@redhat.com
Branches: F-7
InitialCC: me@stevemilner.org
Comment 8 Kevin Fenzi 2007-07-15 00:18:07 EDT
The InitialCC here appears to be an email that doesn't exist in bugzilla. ;( 
Can you either create a bugzilla account for that email address and resubmit, or
resubmit without the CC?
Comment 9 Steve Milner 2007-07-15 21:49:51 EDT
New Package CVS Request
=======================
Package Name: python-pygments
Short Description: A syntax highlighting engine written in Python
Owners: smilner@redhat.com
Branches: F-7
InitialCC:
Comment 10 Jason Tibbitts 2007-07-19 20:43:25 EDT
Nothing's going to happen with fedora-cvs still set to "-"...
Comment 11 Kevin Fenzi 2007-07-20 00:28:00 EDT
cvs done. 
Comment 12 Steve Milner 2007-07-23 08:20:11 EDT
I'm getting a dist-fc7-updates-candidate error in F-7 (and a similar one in
devel) .... not sure if I missing something or if I don't have the build ability
yet ...

[steve@psycho F-7]$ make build
Created task: 73459
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3D73459
Watching tasks (this may be safely interrupted)...
73459 build (dist-fc7-updates-candidate, F-7:python-pygments-0_8_1-1_fc7):
free
73459 build (dist-fc7-updates-candidate, F-7:python-pygments-0_8_1-1_fc7):
free -> open (xenbuilder4.fedora.phx.redhat.com)
  73460 buildSRPMFromCVS (F-7:python-pygments-0_8_1-1_fc7): open
(ppc1.fedora.redhat.com)
  73460 buildSRPMFromCVS (F-7:python-pygments-0_8_1-1_fc7): open
(ppc1.fedora.redhat.com) -> closed
  0 free  1 open  1 done  0 failed
73459 build (dist-fc7-updates-candidate, F-7:python-pygments-0_8_1-1_fc7):
open (xenbuilder4.fedora.phx.redhat.com) -> FAILED: BuildError: package
python-pygments not in list for tag dist-fc7-updates-candidate
  0 free  0 open  1 done  1 failed
Comment 13 Kevin Fenzi 2007-07-23 11:25:49 EDT
Sorry about that. My fault. 
Can you try it now? It should work...
Comment 14 Steve Milner 2007-08-03 20:39:11 EDT
Package Change Request
======================
Package Name: python-pygments
New Branches: EL-5 FC6
Comment 15 Kevin Fenzi 2007-08-04 02:11:16 EDT
cvs done.
Comment 16 Steve Milner 2009-09-29 15:36:19 EDT
Package Change Request
======================
Package Name: python-pygments
New Branches: EL-4
Owners: smilner
Comment 17 Kevin Fenzi 2009-09-29 16:27:30 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.